Quassel IRC - Bug #462

Part locks input bar
01/04/2009 12:59 PM - Lingerance

Status: Resolved Start date: 01/04/2009
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.3.0.x 0S: Any
Description

When one parts a channel the input part is locked for that buffer, this makes rejoining near impossible without use of the mouse.

Associated revisions

Revision 1b9dc90e54c1c7c2012dectb87cce80dbae60be9 - 08/05/2010 10:46 PM - Manuel Nickschas

No longer disable the input widget for inactive buffers

Some users need or want to be able to enter text even in inactive buffers, so
don't stop them from doing so, other clients don't either.

Also, disabling the input line seems to eat global QAction shortcuts for some bizarr

reason (even though the MainWin is marked as focusWidget, it doesn't receive any keypresses
when the input line is disabled).

Fixes #462.

Revision 1b9dc90e - 08/05/2010 10:46 PM - Manuel Nickschas

No longer disable the input widget for inactive buffers

Some users need or want to be able to enter text even in inactive buffers, so
don't stop them from doing so, other clients don't either.

Also, disabling the input line seems to eat global QAction shortcuts for some bizarr
reason (even though the MainWin is marked as focusWidget, it doesn't receive any keypresses
when the input line is disabled).

Fixes #462.

History

#1 - 01/04/2009 01:07 PM - Sputnick

- Status changed from New to Confirmed

Input line is locked to indicate that one is not in the channel currently. Before that, we didn't have a clear indication for that.

Now, this was done in times of the old old chatwidget, when we couldn't easily play around with display. Nowadays I'd suggest just painting the whole
backlog in some greyish color, or something like that, and leaving the input line active. A ChatView::setActiveState(bool) should be easy enough to
implement, and the selection format could probably quite simply override the foreground color then with some light color (possibly the same color we
use for inactive buffers in BufferView).

#2 - 08/05/2010 11:36 PM - Sputnick

- Status changed from Confirmed to Resolved
- % Done changed from 0 to 100

- OS set to Any

Applied in changeset 1b9dc90e54c1c7c2012dectb87cce80dbae60be9.

#3 - 08/05/2010 11:39 PM - johu
- Target version set to 0.7.0

- Version changed from 0.3.1+ to 0.3.0.x
